%global realname ranch
%global upstream extend
%global debug_package %{nil}
%global git_tag 809a12f
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.6.2
Release:	1%{?dist}
Summary:	Socket acceptor pool for TCP protocols
Group:		Development/Languages
License:	ISC
URL:		https://github.com/extend/ranch
# wget --content-disposition https://github.com/extend/ranch/tarball/0.6.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-ranch-0001-Workaround-for-missing-file-sendfile-2-in-R14B.patch
Patch2:		erlang-ranch-0002-Remove-type-definitions-unsupported-in-R14B.patch
BuildRequires:	erlang-rebar
# Error:erlang(lists:keyfind/3) in R12B and earlier
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-ssl%{?_isa}
Requires:	erlang-stdlib%{?_isa}
# Error:erlang(eprof:analyze/1) in R13B and earlier
Requires:	erlang-tools%{?_isa} >= R14B


%description
Socket acceptor pool for TCP protocols.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
%if 0%{?el6}
%patch1 -p1 -b .no_file_sendfile_r14b
%patch2 -p1 -b .remove_unsupported_typedefs_r14b
%endif
iconv -f iso8859-1 -t utf-8 doc/overview.edoc > doc/overview.edoc.utf8 && mv -f doc/overview.edoc.utf8 doc/overview.edoc


%build
rebar compile -v
rebar doc -v


%install
install -D -m 644 -p ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 -p ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 -p ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
# FIXME one particular test fails
#rebar ct -v


%files
%doc AUTHORS LICENSE README.md ROADMAP.md doc/ guide/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam


%changelog
* Sat Mar 09 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-1
- Ver. 0.6.2
- Fixed build with R14B (EPEL6)

* Tue Mar 05 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-2
- Fixed rpmlint errors

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Intial build
